Salonify Docs

Bookings

View and manage business appointments and bookings.

Required scope: bookings:read or bookings:write

GET/businesses/{businessId}/bookings

List all bookings. Supports pagination and filtering.

Query Parameters

NameTypeRequiredDescription
pagenumberNoPage number (default: 1)
limitnumberNoItems per page (default: 20, max: 100)
statusstringNoFilter by status: PENDING, CONFIRMED, COMPLETED, CANCELLED, NO_SHOW
fromstringNoStart date (ISO 8601)
tostringNoEnd date (ISO 8601)
staffIdstringNoFilter by staff member
curl "https://api.salonify.eu/api/v1/businesses/{businessId}/bookings?status=CONFIRMED&limit=50" \
  -H "X-API-Key: sk_live_your_key"
Response
{
  "data": {
    "bookings": [
      {
        "id": "booking-uuid",
        "startTime": "2026-03-15T10:00:00Z",
        "endTime": "2026-03-15T10:30:00Z",
        "status": "CONFIRMED",
        "totalPrice": 25.00,
        "customer": {
          "id": "customer-uuid",
          "firstName": "Anna",
          "lastName": "Mueller"
        },
        "staff": {
          "id": "staff-uuid",
          "firstName": "Maria"
        },
        "services": [
          { "name": "Herrenhaarschnitt", "price": 25.00 }
        ]
      }
    ],
    "total": 156,
    "page": 1,
    "limit": 20
  }
}
GET/businesses/{businessId}/bookings/{bookingId}

Get detailed information about a specific booking.

PATCH/businesses/{businessId}/bookings/{bookingId}/status

Update booking status (confirm, complete, cancel, no-show).

Request Body

NameTypeRequiredDescription
statusstringYesNew status: CONFIRMED, COMPLETED, CANCELLED, NO_SHOW
cancellationReasonstringNoRequired when cancelling